CVE-2018-8822

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Incorrect buffer length handling in the ncp_read_kernel function in fs/ncpfs/ncplib_kernel.c in the Linux kernel through 4.15.11, and in drivers/staging/ncpfs/ncplib_kernel.c in the Linux kernel 4.16-rc through 4.16-rc6, could be exploited by malicious NCPFS servers to crash the kernel or execute code.

References

http://www.securityfocus.com/bid/103476

https://lists.debian.org/debian-lts-announce/2018/05/msg00000.html

https://usn.ubuntu.com/3653-1/

https://usn.ubuntu.com/3653-2/

https://usn.ubuntu.com/3654-1/

https://usn.ubuntu.com/3654-2/

https://usn.ubuntu.com/3655-1/

https://usn.ubuntu.com/3655-2/

https://usn.ubuntu.com/3656-1/

https://usn.ubuntu.com/3657-1/

https://www.debian.org/security/2018/dsa-4187

https://www.debian.org/security/2018/dsa-4188

https://www.mail-archive.com/[email protected]/msg223373.html

Details

Source: MITRE

Published: 2018-03-20

Updated: 2019-03-05

Type: CWE-119

Risk Information

CVSS v2

Base Score: 7.2

Vector: AV:L/AC:L/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 3.9

Severity: HIGH

CVSS v3

Base Score: 7.8

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.8

Severity: HIGH

Tenable Plugins

View all (23 total)

IDNameProductFamilySeverity
124800EulerOS Virtualization for ARM 64 3.0.1.0 : kernel (EulerOS-SA-2019-1476)NessusHuawei Local Security Checks
high
121933Photon OS 2.0: Linux PHSA-2018-2.0-0037-(a)NessusPhotonOS Local Security Checks
high
121837Photon OS 1.0: Linux PHSA-2018-1.0-0132NessusPhotonOS Local Security Checks
high
118252SUSE SLES12 Security Update : kernel (SUSE-SU-2018:1173-2)NessusSuSE Local Security Checks
high
111934Photon OS 1.0: Linux / Rsync PHSA-2018-1.0-0132 (deprecated)NessusPhotonOS Local Security Checks
high
111296Photon OS 2.0 : linux-aws / linux-esx / linux-secure / linux (PhotonOS-PHSA-2018-2.0-0037-(a)) (deprecated)NessusPhotonOS Local Security Checks
high
110104openSUSE Security Update : the Linux Kernel (openSUSE-2018-514) (Spectre)NessusSuSE Local Security Checks
high
110052Ubuntu 17.10 : Linux kernel (Raspberry Pi 2) vulnerabilities (USN-3657-1)NessusUbuntu Local Security Checks
high
110051Ubuntu 16.04 LTS : Linux kernel (Raspberry Pi 2, Snapdragon) vulnerabilities (USN-3656-1)NessusUbuntu Local Security Checks
high
110050Ubuntu 14.04 LTS : Linux kernel vulnerabilities (USN-3655-1) (Spectre)NessusUbuntu Local Security Checks
high
110049Ubuntu 14.04 LTS : Linux kernel (Xenial HWE) vulnerabilities (USN-3654-2) (Spectre)NessusUbuntu Local Security Checks
high
110048Ubuntu 16.04 LTS : Linux kernel vulnerabilities (USN-3654-1) (Spectre)NessusUbuntu Local Security Checks
high
110047Ubuntu 16.04 LTS : Linux kernel (HWE) vulnerabilities (USN-3653-2) (Spectre)NessusUbuntu Local Security Checks
high
110046Ubuntu 17.10 : Linux kernel vulnerabilities (USN-3653-1) (Spectre)NessusUbuntu Local Security Checks
high
109758SUSE SLES12 Security Update : kernel (SUSE-SU-2018:1221-1)NessusSuSE Local Security Checks
high
109757SUSE SLES12 Security Update : kernel (SUSE-SU-2018:1220-1)NessusSuSE Local Security Checks
high
109647SUSE SLES12 Security Update : kernel (SUSE-SU-2018:1173-1)NessusSuSE Local Security Checks
high
109646SUSE SLES11 Security Update : kernel (SUSE-SU-2018:1172-1)NessusSuSE Local Security Checks
high
109531Debian DLA-1369-1 : linux security update (Spectre)NessusDebian Local Security Checks
critical
109518Debian DSA-4188-1 : linux - security update (Spectre)NessusDebian Local Security Checks
high
109517Debian DSA-4187-1 : linux - security update (Spectre)NessusDebian Local Security Checks
critical
109360SUSE SLES11 Security Update : kernel (SUSE-SU-2018:1080-1) (Spectre)NessusSuSE Local Security Checks
high
109310SUSE SLED12 / SLES12 Security Update : kernel (SUSE-SU-2018:1048-1)NessusSuSE Local Security Checks
high